Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 233164 - gnu icecat
Summary: gnu icecat
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: High enhancement (vote)
Assignee: Mozilla Gentoo Team
URL:
Whiteboard:
Keywords: InVCS
Depends on:
Blocks:
 
Reported: 2008-07-28 14:25 UTC by Caleb Cushing
Modified: 2009-10-25 16:28 UTC (History)
6 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
Icecat 3.5 ebuild (icecat-3.5.ebuild,8.17 KB, text/plain)
2009-07-20 16:55 UTC, Nick White
Details
gentoo-default-prefs.js (gentoo-default-prefs.js,598 bytes, text/plain)
2009-07-20 16:57 UTC, Nick White
Details
icecat.desktop (icecat.desktop,248 bytes, text/plain)
2009-07-20 16:59 UTC, Nick White
Details
Icecat 3.5.1 ebuild (icecat-3.5.1.ebuild,8.25 KB, text/plain)
2009-07-21 16:22 UTC, Nick White
Details
Icecat 3.5.1 ebuild (icecat-3.5.1.ebuild,8.25 KB, text/plain)
2009-07-25 00:50 UTC, Nick White
Details
IceCat 3.5.1 ebuild (icecat-3.5.1.ebuild,8.76 KB, text/plain)
2009-08-06 09:53 UTC, Nick White
Details
IceCat 3.5.2 ebuild (icecat-3.5.2.ebuild,8.44 KB, text/plain)
2009-08-08 18:30 UTC, Nick White
Details
IceCat 3.5.2-r1 ebuild (icecat-3.5.2-r1.ebuild,8.57 KB, text/plain)
2009-08-20 23:40 UTC, Nick White
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Caleb Cushing 2008-07-28 14:25:28 UTC
"I am pleased to announce the new version for the GNU IceCat web
browser.

GNU IceCat is based on the Mozilla Firefox source code.  While the
basic Mozilla Firefox source code is free software, and we thank them
for their significant contributions to the community, some non-free
files are distributed in the Firefox source tree, and Firefox can
recommend non-free plugins.  IceCat is entirely Free Software.

This new version is based on the new Firefox 3.0.1 source code that
fixes some bugs present in the previous 3 release.
In addition a support for the standard X -geometry option was added in
IceCat." --http://lists.gnu.org/archive/html/bug-gnuzilla/2008-07/msg00083.html

according to wikipedia ice weasel became icecat, but according to icecat's page they are different projects. On the assumption that wikipedia is wrong could we get an ebuild or a use flag for icecat? also it installs more than artwork, the patches should be applied too if they aren't being.


Reproducible: Always
Comment 1 Raúl Porcel (RETIRED) gentoo-dev 2008-07-28 17:18:53 UTC
Iceweasel = Debian
GNU Iceweasel/Icecat = GNU

They had the same name during some time, although they were different projects. One had the GNU word, while the Debian one didn't.

The iceweasel USE-flag just changes the artwork and the name of the browser, nothing else. Icecat, unless we want only the artowkr, uses different code, therefore it should be a new package.
Comment 2 Caleb Cushing 2008-07-29 01:47:18 UTC
new package sounds like a plan.
Comment 3 Tim Weber 2009-04-05 18:48:36 UTC
What’s the status on this? Has somebody produced an ebuild yet?

If nobody has, I could try it, probably by building upon a current Firefox ebuild. However, there is some serious black magic going on in the Firefox ebuilds. Are they documented somewhere? Would a maintainer care to work on an IceCat ebuild? Would anybody else care to help?
Comment 4 Nick White 2009-04-29 14:53:53 UTC
(In reply to comment #3)
> If nobody has, I could try it, probably by building upon a current Firefox
> ebuild. However, there is some serious black magic going on in the Firefox
> ebuilds. Are they documented somewhere? Would a maintainer care to work on an
> IceCat ebuild? Would anybody else care to help?

I'm not a maintainer, nor am I familiar with the ff ebuild magic, but I'd be happy to help test & debug an ebuild of this.
Comment 5 Daniel Santos 2009-05-04 14:52:24 UTC
ebuilds now in the sping overlay, but with only the ~x86 keywords enabled: http://gpo.zugaina.org/www-client/icecat
Comment 6 Nick White 2009-06-14 19:14:41 UTC
FWIW the latest ebuild in the sping overlay (3.0.10_p1) has been worked flawlessly for me for the last month.

Thanks!
Comment 7 Nick White 2009-07-20 16:50:50 UTC
Sebastian, who did all the work on the initial ebuilds, no longer has the time to maintain them.

As such I'm taking over for now. I just completed an ebuild for icecat 3.5; please try it and let me know if it works.

I'll keep the ebuilds up to date at my overlay: http://git.njw.me.uk/cgit/cgit.cgi/njw-gentoo-local/tree/www-client/icecat/ (which will hopefully be added to layman soon as 'njw'), and attach new ebuilds to this bug.
Comment 8 Nick White 2009-07-20 16:55:07 UTC
Created attachment 198622 [details]
Icecat 3.5 ebuild
Comment 9 Nick White 2009-07-20 16:57:20 UTC
Created attachment 198623 [details]
gentoo-default-prefs.js

Just a copy of the needed default gentoo preferences from www-client/mozilla-firefox
Comment 10 Nick White 2009-07-20 16:59:21 UTC
Created attachment 198624 [details]
icecat.desktop

The necessary .desktop file. Put this in files/icon/
Comment 11 Nick White 2009-07-21 16:22:01 UTC
Created attachment 198716 [details]
Icecat 3.5.1 ebuild
Comment 12 Tim O'Kelly 2009-07-24 23:09:40 UTC
Thanks, Nick!
I like pure free software (as in freedom, of course :))

P.S. Please, do sed -ri s:x11-plugins/noscript:www-plugins/noscript/ 
(because noscipt just have been renamed in portage  tree...)
Comment 13 Tim O'Kelly 2009-07-24 23:18:31 UTC
And what about mail-client/icedove ebuild?
Can the difference between icecat and firefox ebuilds be applied to the thunderbird ebild to produce icedov?
How large is this difference?
Comment 14 Nick White 2009-07-25 00:50:40 UTC
Created attachment 199046 [details]
Icecat 3.5.1 ebuild

New icecat ebuild fixing noscript location.

Thanks Tim for noticing this :-)
Comment 15 Nick White 2009-07-25 01:14:13 UTC
Tim,

I'm very glad you're enjoying the ebuilds. Unsuprisingly I too am rather enamoured by the idea of software freedom.

An icedove ebuild wouldn't be good for me to produce for a few reasons:

- Icedove (as far as I can see) only differs in branding (not code) from Thunderbird, so a better approach would probably be a use flag. Icecat by contrast does differ in code from Firefox as it makes sure to not recommend non-free software, e.g. using different plugin and addon finder services.

- I think it makes more sense for branding-based issues to not use debian's branding (that just makes things more confusing still), but just get rid of the trademarked stuff and use the release codenames instead, (like mozilla-firefox (un)branding itself to "minefield").

- I don't use Icedove myself and have very little experience with it, so would be more prone to not understanding the codebase and missing mistakes.

To go forward I think it would be worth opening a new bug requesting a use flag to remove non-free and trademarked branding in the mozilla-thunderbird ebuild. It probably wouldn't be difficult to add, but I think the mozilla herd may be understaffed at present.

I'm going to be very busy this upcoming month, but will take a proper look at this in September if things haven't progressed by then.
Comment 16 Nick White 2009-08-06 09:53:53 UTC
Created attachment 200358 [details]
IceCat 3.5.1 ebuild

An updated ebuild, which ensures consistent branding in any language, and uses the latest xulrunner.
Comment 17 Nick White 2009-08-08 18:30:05 UTC
Created attachment 200612 [details]
IceCat 3.5.2 ebuild

An ebuild for the 3.5.2 release of IceCat. Note that this release addresses security issues, so do download it.

You'll need to copy over the contents of www-client/mozilla-firefox/files to the www-client/icecat/files directory, as well as the attached icecat.desktop file, before using this ebuild. Or just use my overlay (njw).
Comment 18 Nick White 2009-08-20 23:40:18 UTC
Created attachment 201825 [details]
IceCat 3.5.2-r1 ebuild

Latest IceCat ebuild.
Comment 19 Tim O'Kelly 2009-09-11 20:09:08 UTC
www-client/icecat-3.5.3 version bump
ftp://ftp.gnu.org/gnu/gnuzilla/3.5.3/
Comment 20 Jory A. Pratt gentoo-dev 2009-09-26 01:45:53 UTC
mozilla herd will take and add to tree, this will allow the iceweasel useflag to be removed from firefox.
Comment 21 Jory A. Pratt gentoo-dev 2009-09-26 04:04:46 UTC
icecat-3.5.3 has been added to the mozilla overlay, it is what will be used for the initial commit in a few days. I would prefer anyone that can to test the overlay and look for flaws. If you believe you have found an issue please report it here and I will look into it.
Comment 22 Tim O'Kelly 2009-09-26 09:02:44 UTC
Thanks for such a good news. I've been working with icecat from this ebuild for some months, and can say it works well. Glad to see it been supported by mozilla herd.
Comment 23 Nick White 2009-10-11 08:13:47 UTC
(In reply to comment #21)
> icecat-3.5.3 has been added to the mozilla overlay, it is what will be used for
> the initial commit in a few days. I would prefer anyone that can to test the
> overlay and look for flaws. If you believe you have found an issue please
> report it here and I will look into it.

That's great, I'm very happy you guys are picking up the ebuild. I agree it's a much saner solution than using the iceweasel branding flag.
Comment 24 Jory A. Pratt gentoo-dev 2009-10-25 16:28:35 UTC
Icecat has been commited to the tree :)